import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '密码',
    align:"center",
    dataIndex: 'password'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '公司名称',
    align:"center",
    dataIndex: 'company'
   },
   {
    title: '公司地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '行业',
    align:"center",
    dataIndex: 'industry_dictText'
   },
   {
    title: '营业执照',
    align:"center",
    dataIndex: 'license',
    customRender:render.renderAvatar,
   },
   {
    title: '认证状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '密码',
    field: 'password',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '公司名称',
    field: 'company',
    component: 'Input',
  },
  {
    label: '公司地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '行业',
    field: 'industry',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_category,name,id"
     },
  },
  {
    label: '营业执照',
    field: 'license',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '认证状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_authentic_status"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
