package org.jeecg.modules.employJob.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 工作信息表
 * @Author: jeecg-boot
 * @Date:   2025-02-21
 * @Version: V1.0
 */
@Data
@TableName("employ_job")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_job对象", description="工作信息表")
public class EmployJob implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**工作标题*/
	@Excel(name = "工作标题", width = 15)
    @ApiModelProperty(value = "工作标题")
    private java.lang.String title;
	/**工作地点*/
	@Excel(name = "工作地点", width = 15)
    @ApiModelProperty(value = "工作地点")
    private java.lang.String address;
	/**所属行业id*/
	@Excel(name = "所属行业id", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "所属行业id")
    private java.lang.String categoryOne;
	/**所属工种id*/
	@Excel(name = "所属工种id", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "所属工种id")
    private java.lang.String categoryTwo;
	/**月薪最小值*/
	@Excel(name = "月薪最小值", width = 15)
    @ApiModelProperty(value = "月薪最小值")
    private java.math.BigDecimal salaryMin;
	/**月薪最大值*/
	@Excel(name = "月薪最大值", width = 15)
    @ApiModelProperty(value = "月薪最大值")
    private java.math.BigDecimal salaryMax;
	/**期望日薪*/
	@Excel(name = "期望日薪", width = 15)
    @ApiModelProperty(value = "期望日薪")
    private java.math.BigDecimal salaryDay;
	/**结算方式*/
	@Excel(name = "结算方式", width = 15, dicCode = "	employ_pay_type")
	@Dict(dicCode = "	employ_pay_type")
    @ApiModelProperty(value = "结算方式")
    private java.lang.String payType;
	/**时间*/
	@Excel(name = "时间", width = 15)
    @ApiModelProperty(value = "时间")
    private java.lang.String workTime;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
	/**工作内容*/
	@Excel(name = "工作内容", width = 15)
    @ApiModelProperty(value = "工作内容")
    private java.lang.String details;
	/**图片*/
	@Excel(name = "图片", width = 15)
    @ApiModelProperty(value = "图片")
    private java.lang.String image;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
