package org.jeecg.modules.employResume.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 简历信息表
 * @Author: jeecg-boot
 * @Date:   2025-02-21
 * @Version: V1.0
 */
@Data
@TableName("employ_resume")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_resume对象", description="简历信息表")
public class EmployResume implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**性别*/
	@Excel(name = "性别", width = 15, dicCode = "employ_sex")
	@Dict(dicCode = "employ_sex")
    @ApiModelProperty(value = "性别")
    private java.lang.String sex;
	/**年龄*/
	@Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private java.lang.Integer age;
	/**所属行业id*/
	@Excel(name = "所属行业id", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "所属行业id")
    private java.lang.String categoryOne;
	/**所属工种id*/
	@Excel(name = "所属工种id", width = 15, dictTable = "employ_category", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_category", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "所属工种id")
    private java.lang.String categoryTwo;
	/**头像*/
	@Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private java.lang.String headImage;
	/**月薪最小值*/
	@Excel(name = "月薪最小值", width = 15)
    @ApiModelProperty(value = "月薪最小值")
    private java.math.BigDecimal salaryMin;
	/**月薪最大值*/
	@Excel(name = "月薪最大值", width = 15)
    @ApiModelProperty(value = "月薪最大值")
    private java.math.BigDecimal salaryMax;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
	/**结算方式*/
	@Excel(name = "结算方式", width = 15, dicCode = "employ_pay_type")
	@Dict(dicCode = "employ_pay_type")
    @ApiModelProperty(value = "结算方式")
    private java.lang.String payType;
	/**出行方式*/
	@Excel(name = "出行方式", width = 15)
    @ApiModelProperty(value = "出行方式")
    private java.lang.String commuteType;
	/**出发地址*/
	@Excel(name = "出发地址", width = 15)
    @ApiModelProperty(value = "出发地址")
    private java.lang.String address;
	/**个人介绍*/
	@Excel(name = "个人介绍", width = 15)
    @ApiModelProperty(value = "个人介绍")
    private java.lang.String brief;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
